Bug 1662612

Summary: SELinux is preventing systemd from 'prog_load' accesses on the bpf labeled virtd_lxc_t.
Product: [Fedora] Fedora Reporter: Prasanna V. Loganathar <pvl>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 29CC: dwalsh, lvrabec, mgrepl, plautrba, zpytela
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:47944b5622c9d9e72fb8311b40504841aeb459ddce131be2ecf79c16d47d775a;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.14.2-46.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-01-17 02:16:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Prasanna V. Loganathar 2018-12-31 00:57:45 UTC
Description of problem:
Running LXC containers from virt-manager
SELinux is preventing systemd from 'prog_load' accesses on the bpf labeled virtd_lxc_t.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that systemd should be allowed prog_load access on bpf labeled virtd_lxc_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'systemd' --raw | audit2allow -M my-systemd
# semodule -X 300 -i my-systemd.pp

Additional Information:
Source Context                system_u:system_r:virtd_lxc_t:s0-s0:c0.c1023
Target Context                system_u:system_r:virtd_lxc_t:s0-s0:c0.c1023
Target Objects                Unknown [ bpf ]
Source                        systemd
Source Path                   systemd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-44.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.19.10-300.fc29.x86_64 #1 SMP Mon
                              Dec 17 15:34:44 UTC 2018 x86_64 x86_64
Alert Count                   2
First Seen                    2018-12-31 01:18:38 IST
Last Seen                     2018-12-31 01:21:21 IST
Local ID                      5d16cea7-2df7-4fd8-8818-8f690a1ee0e4

Raw Audit Messages
type=AVC msg=audit(1546199481.489:905): avc:  denied  { prog_load } for  pid=16139 comm="systemd" scontext=system_u:system_r:virtd_lxc_t:s0-s0:c0.c1023 tcontext=system_u:system_r:virtd_lxc_t:s0-s0:c0.c1023 tclass=bpf permissive=1


Hash: systemd,virtd_lxc_t,virtd_lxc_t,bpf,prog_load

Version-Release number of selected component:
selinux-policy-3.14.2-44.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.7
hashmarkername: setroubleshoot
kernel:         4.19.10-300.fc29.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-01-10 17:44:53 UTC
commit 8179645ec28306e38fd37dce86d9c1cd21ec7728 (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Thu Jan 10 18:44:23 2019 +0100

    Allow virtd_lxc_t domains use BPF BZ(1662613)

Comment 2 Fedora Update System 2019-01-13 15:45:14 UTC
selinux-policy-3.14.2-46.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a20cfef61

Comment 3 Fedora Update System 2019-01-14 03:03:26 UTC
selinux-policy-3.14.2-46.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a20cfef61

Comment 4 Fedora Update System 2019-01-17 02:16:55 UTC
selinux-policy-3.14.2-46.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.